- List all articles
You can fetch a list of all articles by making a GET request to https://api.intercom.io/articles.
📘 How are the articles sorted and ordered?
Articles will be returned in descending order on the
updated_atattribute. This means if you need to iterate through results then we'll show the most recently updated articles first.
Requires the read_articles_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/articles
- The european API serverhttps://api.eu.intercom.io/articles
- The australian API serverhttps://api.au.intercom.io/articles
curl -i -X GET \
'https://api.intercom.io/articles?page=1&per_page=25' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
An array of Article objects
{ "type": "list", "pages": { "type": "pages", "page": 1, "per_page": 25, "total_pages": 1 }, "total_count": 1, "data": [ { … } ] }